/*****************************************************************************
 *
 * FILE:	upload.c
 * DESCRIPTION:	operate an upload file
 * DATE:	Fri, Apr  5 2002
 * UPDATE:	Sun, Aug 19 2007
 * AUTHOR:	Kouichi ABE (WALL) / 
 * E-MAIL:	kouichi@MysticWALL.COM
 * URL:		http://www.MysticWALL.COM/
 * COPYRIGHT:	(c) 2002-2007 졿Kouichi ABE (WALL), All rights reserved.
 * COMPILE:	gcc -export-dynamic upload.c -o upload.cgi
 *		-I/usr/local/include -L/usr/local/lib
 *		-lcockatrice -lcatoblepas -lwkf -lmd
 * $Id: upload.c,v 1.2 2007/08/19 16:50:38 kouichi Exp $
 *
 *****************************************************************************/

#include <stdio.h>
#include <string.h>
#include <cockatrice.h>
#include <catoblepas.h>

#define	UPLOAD_FILE_PATH1	"/tmp/upload.file"
#define	UPLOAD_FILE_PATH2	"/tmp/upload.file2"
#define	UPLOAD_FILE_PATH3	"/tmp/upload.file3"

int
main(argc, argv)
	int	argc;
	char	**argv;
{
  CGI *		cgi;
  String	s;

  cgi = newCGI(CC_MODULE_STANDARD);
  if (cgi) {
    HTML *	html;

    cgi->upload->store("fname", UPLOAD_FILE_PATH1);
    cgi->upload->store("fname2", UPLOAD_FILE_PATH2);
    cgi->upload->store("fname3", UPLOAD_FILE_PATH3);

    cgi->header("text/html");

    html = newHTML401(HTML4_Transitional);
    if (html) {
      html->html.begin();
      html->head.begin();
      html->title("Upload Data");
      html->head.end();
      html->body.begin();
      html->div.attr.trans.align = ALIGN_CENTER;
      html->div.begin();
	html->table.begin();
	  html->tr.begin();
	    html->td.begin();
	      s = cgi->param("name");
	      html->print(s != NULL ? s : "none");
	    html->td.end();
	  html->tr.end();
	  html->tr.begin();
	    html->td.begin();
	      s = cgi->param("mesg");
	      html->printe(s != NULL ? s : "none");
	    html->td.end();
	  html->tr.end();
	  html->tr.begin();
	    html->td.begin();
	      s = cgi->param("fname");
	      if (s != NULL) {
		html->print(cgi->upload->digest("fname", CC_DIGEST_MD5));
	      }
	      else {
		html->print("none");
	      }
	    html->td.end();
	  html->tr.end();
	  html->tr.begin();
	    html->td.begin();
	      s = cgi->param("fname2");
	      if (s != NULL) {
		html->print(cgi->upload->digest("fname2", CC_DIGEST_SHA1));
	      }
	      else {
		html->print("none");
	      }
	    html->td.end();
	  html->tr.end();
	  html->tr.begin();
	    html->td.begin();
	      s = cgi->param("fname3");
	      if (s != NULL) {
		html->print(cgi->upload->digest("fname3", CC_DIGEST_MD5));
	      }
	      else {
		html->print("none");
	      }
	    html->td.end();
	  html->tr.end();
	html->table.end();
      html->div.end();
      html->body.end();
      html->html.end();
      html->done();
    }
    cgi->done();
  }

  return 0;
}
